> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# searchcat

> GenericMDOProvider reads MDO lists with default settings

## "searchcat" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'searchcat'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/searchcat
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("searchcat", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                 | StyleHint | ExtraInfo |
| -- | -------------------- | --------- | --------- |
| 4  | Faste utsendelser    |           |           |
| 1  | Kampanje             |           |           |
| 2  | Konsernliste         |           |           |
| 3  | Private adresseliste |           |           |

## Related MDO Lists

* "searchcatheadings"
* "searchcatheadingswithallitem"
* "searchcatheadingswithallitemwithnoselection"
* "searchcatheadingswithnoselection"
* "searchcatwithallitem"
* "searchcatwithallitemwithnoselection"
* "searchcatwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [SearchCat table](/en/database/tables/searchcat.md)
- [SearchCatHeadingLink table](/en/database/tables/searchcatheadinglink.md)
- [SearchCatGroupLink table](/en/database/tables/searchcatgrouplink.md)
- [Get M D O List](/en/api/reference/restful/rest/list_selectioncategory/get-m-d-o-list.md)
- [SuperOffice.WebApi.Data.SelectionEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.SelectionEntity.md)
